ChangeSet 1.1757.66.31, 2004/07/14 15:06:15-07:00, frankie@cse.unsw.edu.au

[PATCH] USB: unusual_devs.h update

added another device to unusual_devs.h. Its a Sony Clie PEG-675C. Now I
can mount the memory stick.

cat /proc/bus/usb/devices

T:  Bus=03 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#= 18 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=16 #Cfgs=  1
P:  Vendor=054c ProdID=0099 Rev= 1.00
S:  Manufacturer=Sony
S:  Product=Sony PEG Mass Storage
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  6mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=08(stor.) Sub=05 Prot=00 Driver=usb-storage
E:  Ad=81(I) Atr=03(Int.) MxPS=  64 Ivl=1ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/storage/unusual_devs.h |    8 ++++++++
 1 files changed, 8 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	2004-07-14 16:43:37 -07:00
+++ b/drivers/usb/storage/unusual_devs.h	2004-07-14 16:43:37 -07:00
@@ -353,6 +353,14 @@
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_INQUIRY ),
 		
+/* Submitted by Frank Engel <frankie@cse.unsw.edu.au> */
+UNUSUAL_DEV(  0x054c, 0x0099, 0x0000, 0x9999,
+                "Sony",
+                "PEG Mass Storage",
+                US_SC_DEVICE, US_PR_DEVICE, NULL,
+                US_FL_FIX_INQUIRY ),
+
+		
 UNUSUAL_DEV(  0x057b, 0x0000, 0x0000, 0x0299, 
 		"Y-E Data",
 		"Flashbuster-U",
